[ubuntu/maverick] pyside 0.4.1-0ubuntu1 (Accepted)

Didier Raboud didier at raboud.com
Mon Sep 27 20:08:53 BST 2010


pyside (0.4.1-0ubuntu1) maverick; urgency=low

  * New 0.4.1 upstream release. (LP: #648612)
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh

  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

pyside (0.4.0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Bump shiboken B-D to 0.4.0-1~exp1 and add libapiextractor-dev 0.7.0-1~exp2
    as it fixes a test segfault (upstream bug: #243).

  * Patches:
   - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Import from upstream to fix a missing method in QtCore.
      (upstream bug: #303)
   - u_268bf77_fixed_signal_signature_parser.patch
      Import from upstream to fix the incorrect signal signatures
      (upstream bug: #311)

  * debian/rules: Make sure libpyside0.4 and libpyside-dev get the correctly
    versioned symlinks
  * debian/control: Vcs-Browser: Use viewsvn instead of wsvn.
  * Add debian/dh_pycmakedeps to automagically compute the module
    dependencies.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

pyside (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release (Closes: #591981)
    - Various QtGui fixes (Closes: #588556, #588558)
    - Bump generatorrunner B-D to 0.6.0
    - Bump shiboken B-D to 0.4.0
    - libpyside SONAME bumped to 0.4, update symbols file

  * Patches:
    - u_5ce7c94_fix_qtnetwork_udpsocket_test.patch
       Drop, was from upstream
    - u_86d0f67_fix_debug_build.patch
       Drop, was from upstream
    - fixTests.patch
       Drop as upstream changed the tests handling completely
    + u_c130273_fix_py25_QtScript_property.patch
       Import from upstream to fix the QtScript_property test on python2.5
       (upstream bug #284)
    × Refresh the others

  * Remove custom cmake files in favour of cmake-data's.
   - Remove debian/cmake/*.
   - Bump cmake B-D to 2.8.2
   - Bump libshiboken-dev B-D to 0.3.2-3
   - Adapt debian/rules.
   - Remove mentions of the BSD license of cmake in debian/copyright
  * Remove debian/pyversions, which duplicates information from
    debian/control.
  * Put the cmake config and pkg-config file in libpyside-dev, add necessary
    Breaks/Replaces.
  * Install the typesystem files in libpyside-dev.
  * Bump Standards to 3.9.1.0 without changes needed.

pyside (0.3.2-3) unstable; urgency=low

  * Patches:
    + u_5ce7c94_fix_qtnetwork_udpsocket_test.patch (upstream)
      This fixes the QtNetwork_udpsocket test to work on offline
      machines, like our buildds.
    + u_86d0f67_fix_debug_build.patch (upstream)
      This fixes the debug build.
    + usePySpecificShiboken.patch
      This ensures that the correct python version is used consistantly.
    × Refresh lessBuildVerbosity.patch
    × Refresh fixTests.patch to remove the meaningless testnumbers.

  * Add shiboken-dbg version-specific B-D.

Date: Mon, 27 Sep 2010 21:01:06 +0200
Changed-By: Didier Raboud <didier at raboud.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Stefano Rivera <launchpad at rivera.za.net>
https://launchpad.net/ubuntu/maverick/+source/pyside/0.4.1-0ubuntu1
-------------- next part --------------
Format: 1.8
Date: Mon, 27 Sep 2010 21:01:06 +0200
Source: pyside
Binary: python-pyside python-pyside-dbg libpyside0.4 libpyside-dev python-pyside.qtcore python-pyside.qtdeclarative python-pyside.qtgui python-pyside.qthelp python-pyside.qtnetwork python-pyside.qtopengl python-pyside.phonon python-pyside.qtscript python-pyside.qtsql python-pyside.qtsvg python-pyside.qttest python-pyside.qtuitools python-pyside.qtwebkit python-pyside.qtxml
Architecture: source
Version: 0.4.1-0ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Didier Raboud <didier at raboud.com>
Description: 
 libpyside-dev - Python bindings for Qt 4 (development files)
 libpyside0.4 - Python bindings for Qt 4 (base files)
 python-pyside - Python bindings for Qt4 (big metapackage)
 python-pyside-dbg - Python bindings for Qt 4 (debug symbols)
 python-pyside.phonon - Qt 4 Phonon module - Python bindings
 python-pyside.qtcore - Qt 4 core module - Python bindings
 python-pyside.qtdeclarative - Qt 4 Declarative module - Python bindings
 python-pyside.qtgui - Qt 4 GUI module - Python bindings
 python-pyside.qthelp - Qt 4 help module - Python bindings
 python-pyside.qtnetwork - Qt 4 network module - Python bindings
 python-pyside.qtopengl - Qt 4 OpenGL module - Python bindings
 python-pyside.qtscript - Qt 4 script module - Python bindings
 python-pyside.qtsql - Qt 4 SQL module - Python bindings
 python-pyside.qtsvg - Qt 4 SVG module - Python bindings
 python-pyside.qttest - Qt 4 test module - Python bindings
 python-pyside.qtuitools - Qt 4 UI tools module - Python bindings
 python-pyside.qtwebkit - Qt 4 WebKit module - Python bindings
 python-pyside.qtxml - Qt 4 XML module - Python bindings
Closes: 588556 588558 591981
Launchpad-Bugs-Fixed: 648612
Changes: 
 pyside (0.4.1-0ubuntu1) maverick; urgency=low
 .
   * New 0.4.1 upstream release. (LP: #648612)
     - Add some 0.4.1 symbols.
 .
   * Patches:
     - u_c130273_fix_py25_QtScript_property.patch
       Remove, was from upstream.
     - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
       Remove, was from upstream.
     - u_268bf77_fixed_signal_signature_parser.patch
       Remove, was from upstream.
     + libPythonVersionPostfix.patch: Refresh
     + usePySpecificShiboken.patch: Refresh
     + lessBuildVerbosity.patch: Refresh
 .
   * Bump the B-D chain versions.
   * Make sure the private.py is installed in QtCore module.
   * Build against Qt 4.7.
     - Add libqtwebkit-dev
     - Drop QtMultimedia module.
     - Add the QtDeclarative package.
 .
 pyside (0.4.0-2) experimental; urgency=low
 .
   [ Didier Raboud ]
   * Bump shiboken B-D to 0.4.0-1~exp1 and add libapiextractor-dev 0.7.0-1~exp2
     as it fixes a test segfault (upstream bug: #243).
 .
   * Patches:
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
       Import from upstream to fix a missing method in QtCore.
       (upstream bug: #303)
    - u_268bf77_fixed_signal_signature_parser.patch
       Import from upstream to fix the incorrect signal signatures
       (upstream bug: #311)
 .
   * debian/rules: Make sure libpyside0.4 and libpyside-dev get the correctly
     versioned symlinks
   * debian/control: Vcs-Browser: Use viewsvn instead of wsvn.
   * Add debian/dh_pycmakedeps to automagically compute the module
     dependencies.
 .
   [ Piotr Ożarowski ]
   * Set DMUA flag to yes
 .
 pyside (0.4.0-1) experimental; urgency=low
 .
   * New 0.4.0 upstream release (Closes: #591981)
     - Various QtGui fixes (Closes: #588556, #588558)
     - Bump generatorrunner B-D to 0.6.0
     - Bump shiboken B-D to 0.4.0
     - libpyside SONAME bumped to 0.4, update symbols file
 .
   * Patches:
     - u_5ce7c94_fix_qtnetwork_udpsocket_test.patch
        Drop, was from upstream
     - u_86d0f67_fix_debug_build.patch
        Drop, was from upstream
     - fixTests.patch
        Drop as upstream changed the tests handling completely
     + u_c130273_fix_py25_QtScript_property.patch
        Import from upstream to fix the QtScript_property test on python2.5
        (upstream bug #284)
     × Refresh the others
 .
   * Remove custom cmake files in favour of cmake-data's.
    - Remove debian/cmake/*.
    - Bump cmake B-D to 2.8.2
    - Bump libshiboken-dev B-D to 0.3.2-3
    - Adapt debian/rules.
    - Remove mentions of the BSD license of cmake in debian/copyright
   * Remove debian/pyversions, which duplicates information from
     debian/control.
   * Put the cmake config and pkg-config file in libpyside-dev, add necessary
     Breaks/Replaces.
   * Install the typesystem files in libpyside-dev.
   * Bump Standards to 3.9.1.0 without changes needed.
 .
 pyside (0.3.2-3) unstable; urgency=low
 .
   * Patches:
     + u_5ce7c94_fix_qtnetwork_udpsocket_test.patch (upstream)
       This fixes the QtNetwork_udpsocket test to work on offline
       machines, like our buildds.
     + u_86d0f67_fix_debug_build.patch (upstream)
       This fixes the debug build.
     + usePySpecificShiboken.patch
       This ensures that the correct python version is used consistantly.
     × Refresh lessBuildVerbosity.patch
     × Refresh fixTests.patch to remove the meaningless testnumbers.
 .
   * Add shiboken-dbg version-specific B-D.
Checksums-Sha1: 
 e27aa339c80ff2f43603d2237df2c557a2b9197c 2176 pyside_0.4.1-0ubuntu1.dsc
 5bf041820c3916b18d7c755891e44772580e18f5 846068 pyside_0.4.1.orig.tar.bz2
 c3d778205e9b962d28da5f3d4ecd9e0b816b6201 11278 pyside_0.4.1-0ubuntu1.debian.tar.gz
Checksums-Sha256: 
 d5bebdb386140991b020a90e976f6a40779116c20f6d2894ef13820d6097e74d 2176 pyside_0.4.1-0ubuntu1.dsc
 d4e7b30279df9dc1a8fda040d9ba3fea175261e524d4474854ef4ac34337091f 846068 pyside_0.4.1.orig.tar.bz2
 5adbe14586360642d6acc5d43b0a1f254457edfa46021bd1c33ace03426d1e26 11278 pyside_0.4.1-0ubuntu1.debian.tar.gz
Files: 
 ff12208815af1e2ad4abbf0e8582e22d 2176 python optional pyside_0.4.1-0ubuntu1.dsc
 dbc34efa904458f792df128df738d554 846068 python optional pyside_0.4.1.orig.tar.bz2
 67484d1195eaad2f6b11135832611fc7 11278 python optional pyside_0.4.1-0ubuntu1.debian.tar.gz
Original-Maintainer: Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>


More information about the Maverick-changes mailing list